import { ChannelNodeType, UserNodeType } from '../graph/types';
import { BeneficiaryEdgeType } from '../beneficiary/types';
import { SettlementEdgeType } from '../settlement/types';

export type DiscoBallNodeType = ChannelNodeType | UserNodeType;
export type DiscoBallEdgeType = BeneficiaryEdgeType | SettlementEdgeType;

export type DiscoBall = {
  nodes: {
    [id in string]: {
      type: DiscoBallNodeType;
    };
  };
  edges: {
    [id in string]: {
      type: DiscoBallEdgeType;
      start: string;
      end: string;
    };
  };
};
