"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.payinProviderResultParser = exports.payinProviderParamsParser = exports.payinProviderOriginTypeParser = exports.payinProviderCustomerIdParser = void 0;
const parsers_1 = require("../stripe/parsers");
const parsers_2 = require("../paypal/parsers");
const zod_1 = __importDefault(require("zod"));
const constants_1 = require("./constants");
exports.payinProviderCustomerIdParser = parsers_1.stripeCustomerIdParser.or(parsers_2.paypalCustomerIdParser).transform((o) => {
    const r = o; // assert
    return r;
});
exports.payinProviderOriginTypeParser = zod_1.default.enum(constants_1.PAYIN_PROVIDER_ORIGIN_TYPES);
exports.payinProviderParamsParser = zod_1.default.object({
    [constants_1.PAYIN_PROVIDER_ORIGIN_TYPE_PARAM_NAME]: exports.payinProviderOriginTypeParser,
});
exports.payinProviderResultParser = exports.payinProviderCustomerIdParser;
