import z from 'zod';
import type { PayoutBatchLineItemCompositeKey } from './types';
export declare const payoutAmountParser: z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>;
export declare const payoutParamsParser: z.ZodObject<{
    batchId: z.ZodEffects<z.ZodString, import("./types").PayoutBatchKeyBrand, string>;
}, "strip", z.ZodTypeAny, {
    batchId: import("./types").PayoutBatchKeyBrand;
}, {
    batchId: string;
}>;
export declare const withDryParser: z.ZodObject<{
    dry: z.ZodDefault<z.ZodOptional<z.ZodBoolean>>;
}, "strip", z.ZodTypeAny, {
    dry: boolean;
}, {
    dry?: boolean | undefined;
}>;
export declare const payoutBatchItemsParser: z.ZodRecord<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, import("./types").PayoutBatchItemCompositeKeySerialized, string>, z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
export declare const payoutBodyParser: z.ZodObject<{
    items: z.ZodRecord<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, import("./types").PayoutBatchItemCompositeKeySerialized, string>, z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
    dry: z.ZodDefault<z.ZodOptional<z.ZodBoolean>>;
}, "strip", z.ZodTypeAny, {
    items: Partial<Record<import("./types").PayoutBatchItemCompositeKeySerialized, number>>;
    dry: boolean;
}, {
    items: Record<string, string | number>;
    dry?: boolean | undefined;
}>;
export declare const payoutRetryBodyParser: z.ZodObject<{
    dry: z.ZodDefault<z.ZodOptional<z.ZodBoolean>>;
}, "strip", z.ZodTypeAny, {
    dry: boolean;
}, {
    dry?: boolean | undefined;
}>;
export declare const payoutResultParser: z.ZodObject<{
    successes: z.ZodArray<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, import("./types").PayoutBatchItemCompositeKeySerialized, string>, "many">;
    failures: z.ZodRecord<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, import("./types").PayoutBatchItemCompositeKeySerialized, string>, z.ZodString>;
}, "strip", z.ZodTypeAny, {
    successes: import("./types").PayoutBatchItemCompositeKeySerialized[];
    failures: Partial<Record<import("./types").PayoutBatchItemCompositeKeySerialized, string>>;
}, {
    successes: string[];
    failures: Record<string, string>;
}>;
export declare const payoutStatusResultParser: z.ZodObject<{
    all: z.ZodRecord<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, import("./types").PayoutBatchItemCompositeKeySerialized, string>, z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
    left: z.ZodRecord<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, import("./types").PayoutBatchItemCompositeKeySerialized, string>, z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
}, "strip", z.ZodTypeAny, {
    all: Partial<Record<import("./types").PayoutBatchItemCompositeKeySerialized, number>>;
    left: Partial<Record<import("./types").PayoutBatchItemCompositeKeySerialized, number>>;
}, {
    all: Record<string, string | number>;
    left: Record<string, string | number>;
}>;
export declare const payoutQueueQueryParser: z.ZodIntersection<z.ZodObject<{
    status: z.ZodEnum<["all", "pending", "done"]>;
    canceled: z.ZodEffects<z.ZodOptional<z.ZodEffects<z.ZodOptional<z.ZodEnum<["true", "false", ""]>>, boolean | undefined, "" | "true" | "false" | undefined>>, boolean | null, "" | "true" | "false" | undefined>;
}, "strip", z.ZodTypeAny, {
    status: "done" | "all" | "pending";
    canceled: boolean | null;
}, {
    status: "done" | "all" | "pending";
    canceled?: "" | "true" | "false" | undefined;
}>, z.ZodObject<{
    limit: z.ZodOptional<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
    offset: z.ZodDefault<z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
}, "strip", z.ZodTypeAny, {
    offset: number;
    limit?: number | undefined;
}, {
    limit?: string | number | undefined;
    offset?: string | number | undefined;
}>>;
export declare const payoutQueueItemAttemptIdParser: z.ZodEffects<z.ZodString, never, string>;
export declare const payoutQueueResultParser: z.ZodObject<{
    items: z.ZodArray<z.ZodObject<{
        status: z.ZodObject<{
            all: z.ZodRecord<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, import("./types").PayoutBatchItemCompositeKeySerialized, string>, z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
            left: z.ZodRecord<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, import("./types").PayoutBatchItemCompositeKeySerialized, string>, z.ZodEffects<z.ZodUnion<[z.ZodNumber, z.ZodEffects<z.ZodString, number, string>]>, number, string | number>>;
        }, "strip", z.ZodTypeAny, {
            all: Partial<Record<import("./types").PayoutBatchItemCompositeKeySerialized, number>>;
            left: Partial<Record<import("./types").PayoutBatchItemCompositeKeySerialized, number>>;
        }, {
            all: Record<string, string | number>;
            left: Record<string, string | number>;
        }>;
        key: z.ZodEffects<z.ZodString, import("./types").PayoutBatchKeyBrand, string>;
        createdAt: z.ZodNumber;
        updatedAt: z.ZodNumber;
        cancelled: z.ZodDefault<z.ZodBoolean>;
        attempts: z.ZodRecord<z.ZodEffects<z.ZodString, never, string>, z.ZodObject<{
            startedAt: z.ZodNumber;
            endedAt: z.ZodOptional<z.ZodNumber>;
            errors: z.ZodOptional<z.ZodRecord<z.ZodEffects<z.ZodEffects<z.ZodEffects<z.ZodString, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, PayoutBatchLineItemCompositeKey<"paypal" | "stripe"> | undefined, string>, import("./types").PayoutBatchItemCompositeKeySerialized, string>, z.ZodString>>;
            message: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            startedAt: number;
            endedAt?: number | undefined;
            errors?: Partial<Record<import("./types").PayoutBatchItemCompositeKeySerialized, string>> | undefined;
            message?: string | undefined;
        }, {
            startedAt: number;
            endedAt?: number | undefined;
            errors?: Record<string, string> | undefined;
            message?: string | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        status: {
            all: Partial<Record<import("./types").PayoutBatchItemCompositeKeySerialized, number>>;
            left: Partial<Record<import("./types").PayoutBatchItemCompositeKeySerialized, number>>;
        };
        key: import("./types").PayoutBatchKeyBrand;
        updatedAt: number;
        attempts: Partial<Record<never, {
            startedAt: number;
            endedAt?: number | undefined;
            errors?: Partial<Record<import("./types").PayoutBatchItemCompositeKeySerialized, string>> | undefined;
            message?: string | undefined;
        }>>;
        createdAt: number;
        cancelled: boolean;
    }, {
        status: {
            all: Record<string, string | number>;
            left: Record<string, string | number>;
        };
        key: string;
        updatedAt: number;
        attempts: Record<string, {
            startedAt: number;
            endedAt?: number | undefined;
            errors?: Record<string, string> | undefined;
            message?: string | undefined;
        }>;
        createdAt: number;
        cancelled?: boolean | undefined;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    items: {
        status: {
            all: Partial<Record<import("./types").PayoutBatchItemCompositeKeySerialized, number>>;
            left: Partial<Record<import("./types").PayoutBatchItemCompositeKeySerialized, number>>;
        };
        key: import("./types").PayoutBatchKeyBrand;
        updatedAt: number;
        attempts: Partial<Record<never, {
            startedAt: number;
            endedAt?: number | undefined;
            errors?: Partial<Record<import("./types").PayoutBatchItemCompositeKeySerialized, string>> | undefined;
            message?: string | undefined;
        }>>;
        createdAt: number;
        cancelled: boolean;
    }[];
}, {
    items: {
        status: {
            all: Record<string, string | number>;
            left: Record<string, string | number>;
        };
        key: string;
        updatedAt: number;
        attempts: Record<string, {
            startedAt: number;
            endedAt?: number | undefined;
            errors?: Record<string, string> | undefined;
            message?: string | undefined;
        }>;
        createdAt: number;
        cancelled?: boolean | undefined;
    }[];
}>;
